OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.PalettedTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTPalettedTexture :: MonadIO m => m Bool
- gl_EXT_paletted_texture :: Bool
- pattern GL_COLOR_INDEX12_EXT :: GLenum
- pattern GL_COLOR_INDEX16_EXT :: GLenum
- pattern GL_COLOR_INDEX1_EXT :: GLenum
- pattern GL_COLOR_INDEX2_EXT :: GLenum
- pattern GL_COLOR_INDEX4_EXT :: GLenum
- pattern GL_COLOR_INDEX8_EXT :: GLenum
- pattern GL_TEXTURE_INDEX_SIZE_EXT :: GLenum
- glColorTableEXT :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glGetColorTableEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr a -> m ()
- glGetColorTableParameterfvEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetColorTableParameterivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()

# Extension Support

glGetEXTPalettedTexture :: MonadIO m => m Bool Source #

Is the EXT_paletted_texture extension supported?

gl_EXT_paletted_texture :: Bool Source #

Is the EXT_paletted_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTPalettedTexture` in those cases instead.

# Enums

pattern GL_COLOR_INDEX12_EXT :: GLenum Source #

pattern GL_COLOR_INDEX16_EXT :: GLenum Source #

pattern GL_COLOR_INDEX1_EXT :: GLenum Source #

pattern GL_COLOR_INDEX2_EXT :: GLenum Source #

pattern GL_COLOR_INDEX4_EXT :: GLenum Source #

pattern GL_COLOR_INDEX8_EXT :: GLenum Source #

pattern GL_TEXTURE_INDEX_SIZE_EXT :: GLenum Source #

# Functions

glColorTableEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTarget.
-> GLenum | `internalFormat` of type InternalFormat.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `table` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

This command is an alias for `glColorTable`.

glGetColorTableEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTarget.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `data` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> m () |

This command is an alias for `glGetColorTable`.

glGetColorTableParameterfvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTarget.
-> GLenum | `pname` of type GetColorTableParameterPNameSGI.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

This command is an alias for `glGetColorTableParameterfv`.

glGetColorTableParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTarget.
-> GLenum | `pname` of type GetColorTableParameterPNameSGI.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glGetColorTableParameteriv`.